
Redmine - Patch #24787

Don't preload all filter values when displaying issues/time entries

2017-01-09 18:57 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Possible values for all filters are currently preloaded and included in the view as JSON objects when listing issues or time entries.

This can be slow when there are many projects or users. Adding new filters (eg. #17720) would also add more overhead.

The values for a given filter should be loaded when a user adds the filter only, by using an AJAX request .

Related issues:

Related to Redmine - Feature #2665: Filter on sub projects target version wit... Closed 2009-02-04

Associated revisions

Revision 16170 - 2017-01-09 20:59 - Jean-Philippe Lang

Don't preload all query filters (#24787).

Revision 16171 - 2017-01-09 21:02 - Jean-Philippe Lang

Typo (#24787).

Revision 16173 - 2017-01-12 21:19 - Jean-Philippe Lang

Don't preload custom field filter values (#24787).

History

#1 - 2017-01-12 21:20 - Jean-Philippe Lang

- Status changed from New to Closed

#2 - 2018-07-01 09:32 - Marius BĂLTEANU

- Related to Feature #2665: Filter on sub projects target version within the main project added
